#!/bin/bash

if [ -z $PKG_CONFIG_PATH ]; then
    PKG_CONFIG_PATH=/opt/kde4/lib/pkgconfig
else
    PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/opt/kde4/lib/pkgconfig
fi

export PKG_CONFIG_PATH

function kde4env {
    # KDE
    KDEDIR=/opt/kde4
    KDEHOME=$HOME/.kde4
    KDETMP=$HOME/tmp/$USER-kde4
    KDEVARTMP=/var/tmp/$USER-kde4
    mkdir -p $KDETMP $KDEVARTMP
    if [ -z $KDEDIRS ]; then
        KDEDIRS=$KDEDIR
    else
        KDEDIRS=$KDEDIRS:$KDEDIR
    fi
    # Qt
    export QTDIR=/usr/lib/qt4
    if [ -z $QT_PLUGIN_PATH ]; then
        QT_PLUGIN_PATH=$KDEDIR/lib/kde4/plugins
    else
        QT_PLUGIN_PATH=$KDEDIR/lib/kde4/plugins:$QT_PLUGIN_PATH
    fi
    # DBus
    DBUSDIR=/opt/kde4
    # Path
    PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
    # Library
    LD_LIBRARY_PATH=$KDEDIR/lib:$LD_LIBRARY_PATH
    # XDG
    XDG_DATA_DIRS=$KDEDIR/share
    XDG_CONFIG_DIRS=$KDEDIR/etc/xdg

    export KDEDIR KDEHOME KDETMP KDEVARTMP KDEDIRS QTDIR QT_PLUGIN_PATH DBUSDIR PATH LD_LIBRARY_PATH XDG_DATA_DIRS XDG_CONFIG_DIRS
}
